#include "SM_Vector3D.h"
#include "SM_Renderable.h"

class RenderContext;

struct Metaball
{
  Vector3D m_v3dPosition;
};


namespace SM_Metaballs 
{
  int         Init();
  int         Shutdown();
  
  void        ClearMetaballs();
  void        AddMetaball(Metaball* pMetaball);

  void        Render(RenderContext* pRenderContext, int iOutcode);
  void        SetShader(int iShader);
};
